config/routes.rb
Rails.application.routes.draw do
  resources :client_measure_histories
  resources :training_clients
  resources :repetitions
  resources :numbers
  resources :exercises
  resources :equipaments
  resources :client_payment_histories
  resources :clients
  #resources :plan_service_clients
  resources :service_clients
  resources :plan_clients
  resources :gym_payment_histories
  resources :coaches
  resources :gyms
  #resources :plan_service_managers
  resources :service_managers
  resources :plan_managers
  resources :managers
  resources :admins

  root to: 'application#home'

  devise_for :users, path: '', path_names: { sign_in: 'login', sign_out: 'logout', sign_up: 'register', edit: 'settings' }
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

  get '/home', to: 'application#home', as: 'home'
  get '/secret', to: 'application#secret', as: 'secret'

  get '/manager_clients', to: 'managers#show_clients'
  get '/manager_coaches', to: 'managers#show_coaches'

  get '/admin_managers', to: 'admins#show_managers'
  get '/admin_managers/:email', to: 'admins#show_manager'
  get '/gym_payments/:id',  to: 'gyms#payments'

  # token auth routes available at /api_application/mobile/auth
  namespace :api_application do
    scope :mobile do
      mount_devise_token_auth_for 'UserMobile', at: 'auth'
    end
  end

  devise_scope :user_mobile do
    get 'api_application/mobile/mobile_profile', to: 'mobile#mobile_profile'
    get 'api_application/mobile/profile_payments', to: 'mobile#profile_payments'
    get 'api_application/mobile/profile_training', to: 'mobile#profile_training'
    get 'api_application/mobile/profile_measures', to: 'mobile#profile_measures'

  end

end

app/models/admin.rb
class Admin < ApplicationRecord
  belongs_to :user
end

app/models/client.rb
class Client < ApplicationRecord
  belongs_to :user
  belongs_to :gym
  belongs_to :plan_client

  has_many :client_payment_histories
  has_many :training_clients
  has_many :client_measure_histories
end

app/models/coach.rb
class Coach < ApplicationRecord
  belongs_to :user
  belongs_to :gym

  has_many :trainings
end

app/models/equipament.rb
class Equipament < ApplicationRecord
  belongs_to :gym

  has_many :trainings
end

app/models/exercise.rb
class Exercise < ApplicationRecord
  belongs_to :gym

  has_many :trainings

end

app/models/gym.rb
class Gym < ApplicationRecord
  belongs_to :manager
  belongs_to :plan_manager

  has_many :coaches
  has_many :gym_payment_histories
  has_many :clients
  has_many :service_clients
  has_many :equipaments
  has_many :exercises
  has_many :numbers
  has_many :repetitions

end

app/models/manager.rb
class Manager < ApplicationRecord
  belongs_to :user
  has_many :gyms
end

app/models/measure.rb
class Measure < ApplicationRecord
  has_many :client_measure_histories
end

app/models/muscle_type.rb
class MuscleType < ApplicationRecord

  has_many :trainings

end

app/models/number.rb
class Number < ApplicationRecord
  belongs_to :gym

  has_many :trainings

end

app/models/plan_client.rb
class PlanClient < ApplicationRecord
  belongs_to :gym

  has_many :plan_service_clients
  has_many :clients

end

app/models/plan_manager.rb
class PlanManager < ApplicationRecord
  has_many :plan_service_managers
  has_one :gym
end

app/models/repetition.rb
class Repetition < ApplicationRecord
  belongs_to :gym

  has_many :trainings

end

app/models/service_client.rb
class ServiceClient < ApplicationRecord
  belongs_to :gym
  has_many :plan_service_clients
end

app/models/training.rb
class Training < ApplicationRecord
  belongs_to :coach
  belongs_to :equipament
  belongs_to :exercise
  belongs_to :number
  belongs_to :repetition
  belongs_to :muscle_type
end

app/models/user.rb
class User < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable

  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable


  has_many :admis
  has_many :Managers
  has_many :coaches
  has_many :clients
end

app/models/user_mobile.rb
class UserMobile < ActiveRecord::Base
  # Include default devise modules.
  devise :database_authenticatable, :registerable,
          :recoverable, :rememberable, :trackable, :validatable,
          #:confirmable,
          :omniauthable
  include DeviseTokenAuth::Concerns::User

  def self.is_valid_token(token, client_id)
    @resource.valid_token?(token, client_id)
  end

end

app/controllers/managers_controller.rb
class ManagersController < ApplicationController
  before_action :set_manager, only: [:show, :edit, :update, :destroy]
  before_action :set_user_manager, only: [:index, :show_clients, :show_coaches]
  before_action :manager_block_acess, except: [:index, :show_clients, :show_coaches]
  before_action :coach_block_acess
  before_action :authenticate_user!



  # GET /managers
  # GET /managers.json
  def index
  end

  # GET /managers/1
  # GET /managers/1.json
  def show
    @manager = Manager.find(params[:id])
  end

  # GET /managers/new
  def new
  end

  # GET /managers/1/edit
  def edit
  end

  def show_clients
  end

  def show_coaches
  end

  # POST /managers
  # POST /managers.json
  def create
    @user = User.new(user_params)
    if @user.save
      name = params[:manager][:name]
      phone = params[:manager][:phone]
      @manager = Manager.new(:user_id => @user.id, :name => name, :phone => phone)
      if @manager.save
        redirect_to gyms_path, notice: 'Gerente criado com sucesso'
      else
        redirect_to gyms_path, notice: 'Gerente não foi criado'
      end
    else
      redirect_to admins_path, notice: 'Usuário não foi criado'
    end
  end

  # PATCH/PUT /managers/1
  # PATCH/PUT /managers/1.json
  def update
    respond_to do |format|
      if @manager.update(manager_params)
        format.html { redirect_to @manager, notice: 'Manager was successfully updated.' }
        format.json { render :show, status: :ok, location: @manager }
      else
        format.html { render :edit }
        format.json { render json: @manager.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /managers/1
  # DELETE /managers/1.json
  def destroy
    @manager.destroy
    respond_to do |format|
      format.html { redirect_to managers_url, notice: 'Manager was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private

    # Use callbacks to share common setup or constraints between actions.
    def set_manager
      @manager = Manager.find(params[:id])
    end

    def set_user_manager
      if current_user
        @manager = Manager.find_by_user_id(current_user)
        @gym = Gym.find_by_manager_id(@manager)
        @clients = Client.where(:gym_id => @gym ).all
        @coaches = Coach.where(:gym_id => @gym).all
      end
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def manager_params
      params.require(:manager).permit(:user_id, :name, :phone)
    end

    def user_params
      params.require(:user).permit(:email,:password)
    end
end

app/helpers/admins_helper.rb
module AdminsHelper
end

app/helpers/clients_helper.rb
module ClientsHelper
end

app/helpers/gyms_helper.rb
module GymsHelper
end

app/helpers/managers_helper.rb
module ManagersHelper
end

app/helpers/mobile_helper.rb
module MobileHelper
end

app/views/managers/_form.html.erb
<form action="/managers" accept-charset="UTF-8" method="post">
  <div class="form-group">
    <label for="manager_name">Nome</label>
    <input class="form-control" type="name" class="form-control" placeholder="Nome Completo" autofocus="autofocus" name="manager[name]" id="manager_name" required>
  </div>
  <div class="form-group">
    <label for="manager_name">Telefone</label>
    <input class="form-control" class="form-control" autofocus="autofocus" name="manager[phone]" id="manager_phone" required>
  </div>
  <div class="form-group">
    <label for="user_email">Email</label>
    <input type="email" class="form-control" placeholder="name@example.com" autofocus="autofocus" name="user[email]" id="user_email" required>
  </div>
  <div class="form-group">
    <label for="user_password">Senha</label>
    <input class="form-control" autocomplete="off" type="password" name="user[password]" id="user_password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}" required/>
  </div>
  <div class="form">
    <label for="user_password_confirmation">Confirmar Senha</label><br />
    <input class="form-control" autocomplete="off" type="password" name="user[password_confirmation]" id="user_password_confirmation" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}" required/>
  </div>
  </br>
  <button type="submit" class="btn btn-primary" name="commit" value="Create Manager" data-disable-with="Create Manager"/>Cadastrar</button>
</form>


<script type="text/javascript">
    window.onload = function () {
    	document.getElementById("user_password").onchange = validatePassword;
    	document.getElementById("user_password_confirmation").onchange = validatePassword;
    }
    function validatePassword(){
    var pass2=document.getElementById("user_password").value;
    var pass1=document.getElementById("user_password_confirmation").value;
    if(pass1!=pass2)
    	document.getElementById("user_password_confirmation").setCustomValidity("Passwords Don't Match");
    else
    	document.getElementById("user_password_confirmation").setCustomValidity('');
    //empty string means no validation error
    }
</script>

app/views/managers/edit.html.erb
<h1>Editing Manager</h1>

<%= render 'form', manager: @manager %>

<%= link_to 'Show', @manager %> |
<%= link_to 'Back', managers_path %>

app/views/managers/index.html.erb
<!DOCTYPE html>
<html>
<title>Academy</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
  <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
  <div class="w3-bar-item w3-right">
    <a rel="nofollow" data-method="delete" href="/logout" class="fa fa-sign-out" aria-hidden="true"></a>
  </div>
</div>

<!-- Sidebar/menu -->
<nav class="w3-sidebar w3-collapse w3-white w3-animate-left" style="z-index:3;width:300px;" id="mySidebar"><br>
  <div class="w3-container w3-row">
    <div class="w3-col s4">
      <!-- <img src="/w3images/avatar2.png" class="w3-circle w3-margin-right" style="width:46px"> -->
    </div>
    <div class="w3-col s8 w3-bar">
      <span>Bem vindo, <strong><%= @manager.name %></strong></span><br>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-envelope"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-user"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-cog"></i></a>
    </div>
  </div>
  <hr>
  <div class="w3-container">
    <h5>Dashboard</h5>
  </div>
  <div class="w3-bar-block">
    <a href="#" class="w3-bar-item w3-button w3-padding-16 w3-hide-large w3-dark-grey w3-hover-black" onclick="w3_close()" title="close menu"><i class="fa fa-remove fa-fw"></i>  Close Menu</a>
    <a href="/" class="w3-bar-item w3-button w3-padding w3-blue"><i class="fa-home"></i>  home</a>
    <a href="plan_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-eye fa-fw"></i>  Planos</a>
    <a href="service_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-eye fa-fw"></i>  Serviços</a>
    <a href="manager_coaches" class="w3-bar-item w3-button w3-padding"><i class="fa fa-user fa-fw"></i>  Profissionais</a>
    <a href="manager_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-user fa-fw"></i>  Clientes</a>
    <a href="gym_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-money fa-fw"></i>  Meus Pagamentos</a>
    <a href="client_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-money fa-fw"></i>  Clientes Pagamentos</a>
    <a href="/logout" class="w3-bar-item w3-button w3-padding" rel="nofollow" data-method="delete"><i  class="fa fa-sign-out"></i>  Sair</a><br><br>
  </div>
</nav>


<!-- Overlay effect when opening sidebar on small screens -->
<div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer" title="close side menu" id="myOverlay"></div>

<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-left:300px;margin-top:43px;">

  <!-- Header -->
  <header class="w3-container" style="padding-top:22px">
    <h5><b><i class="fa fa-dashboard"></i> My Dashboard</b></h5>
  </header>

  <div class="w3-row-padding w3-margin-bottom">
    <div class="w3-quarter">
      <div class="w3-container w3-blue w3-padding-16">
        <div class="w3-left"><i class="fa fa-eye w3-xxxlarge"></i></div>
        <div class="w3-right">
          <h3><%= @coaches.size %></h3>
        </div>
        <div class="w3-clear"></div>
        <h4>Profissionais</h4>
      </div>
    </div>
    <div class="w3-quarter">
      <div class="w3-container w3-teal w3-padding-16">
        <div class="w3-left"><i class="fa fa-users w3-xxxlarge"></i></div>
        <div class="w3-right">
          <h3><%= @clients.size %></h3>
        </div>
        <div class="w3-clear"></div>
        <h4>Clientes</h4>
      </div>
    </div>
  </div>

  <!-- Content -->

  <!-- Content -->

  <!-- Footer -->
  <footer class="w3-container w3-padding-16 w3-light-grey">
    <p>All rights reserved Version: beta </p>
  </footer>

  <!-- End page content -->
</div>

<script>
// Get the Sidebar
var mySidebar = document.getElementById("mySidebar");

// Get the DIV with overlay effect
var overlayBg = document.getElementById("myOverlay");

// Toggle between showing and hiding the sidebar, and add overlay effect
function w3_open() {
    if (mySidebar.style.display === 'block') {
        mySidebar.style.display = 'none';
        overlayBg.style.display = "none";
    } else {
        mySidebar.style.display = 'block';
        overlayBg.style.display = "block";
    }
}

// Close the sidebar with the close button
function w3_close() {
    mySidebar.style.display = "none";
    overlayBg.style.display = "none";
}
</script>

</body>
</html>

app/views/managers/new.html.erb
<div class="text-center"> <p class="text-primary"> <h3>Cadastro de Gerente</h3></p> </div>

<br/>

<div class="row">
  <div class="col-lg-6">
    <%= render 'form', manager: @manager %>
  </div>

</div>

app/views/managers/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>User:</strong>
    <%= @manager.user %>
</p>

<p>
  <strong>Name:</strong>
  <%= @manager.name %>
</p>

<p>
  <strong>Phone:</strong>
  <%= @manager.phone %>
</p>

<%= link_to 'Edit', edit_manager_path(@manager) %> |
<%= link_to 'Back', managers_path %>

app/views/managers/show_clients.html.erb
<!DOCTYPE html>
<html>
<title>Academy</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
  <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
  <div class="w3-bar-item w3-right">
    <a rel="nofollow" data-method="delete" href="/logout" class="fa fa-sign-out" aria-hidden="true"></a>
  </div>
</div>

<!-- Sidebar/menu -->
<nav class="w3-sidebar w3-collapse w3-white w3-animate-left" style="z-index:3;width:300px;" id="mySidebar"><br>
  <div class="w3-container w3-row">
    <div class="w3-col s4">
      <img src="/w3images/avatar2.png" class="w3-circle w3-margin-right" style="width:46px">
    </div>
    <div class="w3-col s8 w3-bar">
      <span>Bem vindo, <strong><%= @manager.name %></strong></span><br>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-envelope"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-user"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-cog"></i></a>
    </div>
  </div>
  <hr>
  <div class="w3-container">
    <h5>Dashboard</h5>
  </div>
  <div class="w3-bar-block">
    <a href="#" class="w3-bar-item w3-button w3-padding-16 w3-hide-large w3-dark-grey w3-hover-black" onclick="w3_close()" title="close menu"><i class="fa fa-remove fa-fw"></i>  Close Menu</a>
    <a href="/" class="w3-bar-item w3-button w3-padding"><i class="fa-home"></i>  home</a>
    <a href="plan_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-eye fa-fw"></i>  Planos</a>
    <a href="service_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-eye fa-fw"></i>  Serviços</a>
    <a href="manager_coaches" class="w3-bar-item w3-button w3-padding"><i class="fa fa-user fa-fw"></i>  Profissionais</a>
    <a href="manager_clients" class="w3-bar-item w3-button w3-padding w3-blue"><i class="fa fa-user fa-fw"></i>  Clientes</a>
    <a href="gym_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-money fa-fw"></i>  Meus Pagamentos</a>
    <a href="client_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-money fa-fw"></i>  Clientes Pagamentos</a>
    <a href="/logout" class="w3-bar-item w3-button w3-padding" rel="nofollow" data-method="delete"><i  class="fa fa-sign-out"></i>  Sair</a><br><br>
  </div>
</nav>


<!-- Overlay effect when opening sidebar on small screens -->
<div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer" title="close side menu" id="myOverlay"></div>

<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-left:320px;margin-top:43px;">
  <!-- Content -->
  <!-- Main row -->
  <div class="row" style="padding-top:22px">
    <!-- Left col -->
    <section class="col-lg-12 connectedSortable">
      <!-- Main row -->
      <div class="row">
        <div class="col-lg-6">
          <form action="/clients/:email" accept-charset="UTF-8" method="get">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="email"  autofocus="autofocus" name="client[email]" id="client_email">
              <span class="input-group-btn">
                <button class="btn btn-secondary" type="submit">Pesquisar</button>
              </span>
            </div>
          </form>
        </div>
      </div>
      <!-- /.row (main row) -->

      <div class="row">
        <table class="table table-hover">
          <thead>
            <tr>
                <th>Nome</th>
                <th>Email</th>
                <th>Phone</th>
                <th>Plano</th>
                <th>Vencimento</th>
                <th colspan="6"></th>
            </tr>
          </thead>

          <tbody>
            <% @clients.each do |client| %>
              <tr>
                <td><%= client.name %></td>
                <td><%= client.user.email %></td>
                <td><%= client.phone %></td>
                <td><%= client.plan_client.name %></td>
                <td> no dia ( <%= client.plan_client.created_at.day%> )</td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
  <!-- /.row (main row) -->
  <div class="row">
    <div class="col-lg-offset-5 col-lg-2">
      <a href="/clients/new" class="btn btn-primary" role="button">Novo cliente</a>
    </div>
  </div>
</section>
<!-- /.content -->
</div>
  <!-- Content -->

  <!-- Footer -->
  <footer class="w3-container w3-padding-16 w3-light-grey">
    <p>All rights reserved Version: beta </p>
  </footer>

  <!-- End page content -->
</div>

<script>
// Get the Sidebar
var mySidebar = document.getElementById("mySidebar");

// Get the DIV with overlay effect
var overlayBg = document.getElementById("myOverlay");

// Toggle between showing and hiding the sidebar, and add overlay effect
function w3_open() {
    if (mySidebar.style.display === 'block') {
        mySidebar.style.display = 'none';
        overlayBg.style.display = "none";
    } else {
        mySidebar.style.display = 'block';
        overlayBg.style.display = "block";
    }
}

// Close the sidebar with the close button
function w3_close() {
    mySidebar.style.display = "none";
    overlayBg.style.display = "none";
}
</script>

</body>
</html>

app/views/managers/show_coaches.html.erb
<!DOCTYPE html>
<html>
<title>Academy</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
  <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
  <div class="w3-bar-item w3-right">
    <a rel="nofollow" data-method="delete" href="/logout" class="fa fa-sign-out" aria-hidden="true"></a>
  </div>
</div>

<!-- Sidebar/menu -->
<nav class="w3-sidebar w3-collapse w3-white w3-animate-left" style="z-index:3;width:300px;" id="mySidebar"><br>
  <div class="w3-container w3-row">
    <div class="w3-col s4">
      <img src="/w3images/avatar2.png" class="w3-circle w3-margin-right" style="width:46px">
    </div>
    <div class="w3-col s8 w3-bar">
      <span>Bem vindo, <strong><%= @manager.name %></strong></span><br>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-envelope"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-user"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-cog"></i></a>
    </div>
  </div>
  <hr>
  <div class="w3-container">
    <h5>Dashboard</h5>
  </div>
  <div class="w3-bar-block">
    <a href="#" class="w3-bar-item w3-button w3-padding-16 w3-hide-large w3-dark-grey w3-hover-black" onclick="w3_close()" title="close menu"><i class="fa fa-remove fa-fw"></i>  Close Menu</a>
    <a href="/" class="w3-bar-item w3-button w3-padding"><i class="fa-home"></i>  home</a>
    <a href="plan_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-eye fa-fw"></i>  Planos</a>
    <a href="service_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-eye fa-fw"></i>  Serviços</a>
    <a href="manager_coaches" class="w3-bar-item w3-button w3-padding w3-blue"><i class="fa fa-user fa-fw"></i>  Profissionais</a>
    <a href="manager_clients" class="w3-bar-item w3-button w3-padding"><i class="fa fa-user fa-fw"></i>  Clientes</a>
    <a href="gym_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-money fa-fw"></i>  Meus Pagamentos</a>
    <a href="client_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-money fa-fw"></i>  Clientes Pagamentos</a>
    <a href="/logout" class="w3-bar-item w3-button w3-padding" rel="nofollow" data-method="delete"><i  class="fa fa-sign-out"></i>  Sair</a><br><br>
  </div>
</nav>


<!-- Overlay effect when opening sidebar on small screens -->
<div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer" title="close side menu" id="myOverlay"></div>

<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-left:320px;margin-top:43px;">
  <!-- Content -->
  <div class="row" style="padding-top:22px">
    <!-- Left col -->
    <section class="col-lg-12 connectedSortable">
      <!-- Main row -->
      <div class="row">
        <div class="col-lg-6">
          <form action="/coaches/:email" accept-charset="UTF-8" method="get">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="email"  autofocus="autofocus" name="coach[email]" id="coach_email">
              <span class="input-group-btn">
                <button class="btn btn-secondary" type="submit">Pesquisar</button>
              </span>
            </div>
          </form>
        </div>
      </div>
      <!-- /.row (main row) -->

      <div class="row">
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Email</th>
              <th>Nome</th>
              <th>Address</th>
              <th>Phone</th>
              <th>Cpf</th>
              <th colspan="3"></th>
            </tr>
          </thead>

          <tbody>
            <% @coaches.each do |coach| %>
              <tr>
                <td><%= coach.user.email %></td>
                <td><%= coach.name %></td>
                <td><%= coach.address %></td>
                <td><%= coach.phone %></td>
                <td><%= coach.cpf %></td>
                <td><%= link_to 'Excluir', coach, method: :delete, data: { confirm: 'Are you sure?' } %></td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
    <!-- /.row (main row) -->
    <div class="row">
      <div class="col-lg-offset-5 col-lg-2">
        <a href="/coaches/new" class="btn btn-primary" role="button">Novo profissional</a>
      </div>
    </div>
  </section>
  <!-- /.content -->
  </div>
  <!-- Content -->

  <!-- Footer -->
  <footer class="w3-container w3-padding-16 w3-light-grey">
    <p>All rights reserved Version: beta </p>
  </footer>

  <!-- End page content -->
</div>

<script>
// Get the Sidebar
var mySidebar = document.getElementById("mySidebar");

// Get the DIV with overlay effect
var overlayBg = document.getElementById("myOverlay");

// Toggle between showing and hiding the sidebar, and add overlay effect
function w3_open() {
    if (mySidebar.style.display === 'block') {
        mySidebar.style.display = 'none';
        overlayBg.style.display = "none";
    } else {
        mySidebar.style.display = 'block';
        overlayBg.style.display = "block";
    }
}

// Close the sidebar with the close button
function w3_close() {
    mySidebar.style.display = "none";
    overlayBg.style.display = "none";
}
</script>

</body>
</html>